Subject: Re: uboot 1.3.0 compatible with linux 2.6.21?

From: Scott Wood <[email-masked]>
Date: Mon, 22 Dec 2008 16:52:04 -0600

Joe Shmo wrote:
> I'm using a board that is a derivative of the 8313ERDB
> board.  The freescale BSP for that board included a
> patched uboot 1.1.6 that works with the 2.6.21 kernel.
[snip]
> I've changed the DTS file describing our hardware and
> recompiled it, but no luck.  I'm wondering if the
> different versions of uboot manipulate the DTS file in
> different ways and there may not be a way for these
> two versions to run together.  That's the main
> question here.

Yes, there have been some changes.  U-boot is probably looking for 
network aliases to fill in the MAC addresses.

At the very least, use a newer DTS file; better yet, use the latest 
upstream u-boot and kernel rather than anything from the BSP (unless 
there's something you really need that isn't upstream).

-Scott